CVE-2016-8576

NameCVE-2016-8576
DescriptionThe xhci_ring_fetch function in hw/usb/hcd-xhci.c in QEMU (aka Quick Emulator) allows local guest OS administrators to cause a denial of service (infinite loop and QEMU process crash) by leveraging failure to limit the number of link Transfer Request Blocks (TRB) to process.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1497-1, DLA-678-1, DLA-679-1
NVD severitylow (attack range: local)
Debian Bugs840343

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)jessie1:2.1+dfsg-12+deb8u6vulnerable
jessie (security)1:2.1+dfsg-12+deb8u7fixed
stretch (security), stretch1:2.8+dfsg-6+deb9u4fixed
buster, sid1:2.12+dfsg-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusource(unstable)1:2.8+dfsg-1low840343
qemusourcejessie1:2.1+dfsg-12+deb8u7lowDLA-1497-1
qemusourcewheezy1.1.2+dfsg-6+deb7u17lowDLA-678-1
qemu-kvmsource(unstable)(unfixed)low
qemu-kvmsourcewheezy1.1.2+dfsg-6+deb7u17lowDLA-679-1

Notes

https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg01265.html
http://git.qemu.org/?p=qemu.git;a=commit;h=05f43d44e4bc26611ce25fd7d726e483f73363ce

Search for package or bug name: Reporting problems